Bug 468466 - (libgksu) Review Request: libgksu - Simple API for su and sudo
Review Request: libgksu - Simple API for su and sudo
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: gksu-polkit
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-10-24 16:43 EDT by Simon
Modified: 2012-10-31 07:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 07:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon 2008-10-24 16:43:53 EDT
Spec URL: 
http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu-2.0.7-1.fc10.src.rpm

Description:
Libgksu is a library from the gksu program that provides a simple API for
using su and sudo in programs that need to execute tasks as other users.
It provides X authentication facilities for running programs in a X session
Comment 1 Fabian Affolter 2008-10-25 14:42:11 EDT
I tag this review as informal-only because I did only a few complete reviews in the past.  

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: 
       [?] devel/i386 
       [?] devel/x86_64
       [x] F9/i386 
       [?] F9/x86_64
 [!] Rpmlint output:
     Source RPM:
     [rpm@laptop024 SRPMS]$ rpmlint -i libgksu-2.0.7-1.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.

     Binary RPM(s):
     [rpm@laptop024 i386]$ rpmlint libgksu-*
     libgksu.i386: W: non-conffile-in-etc /etc/gconf/schemas/gksu.schemas
     3 packages and 0 specfiles checked; 0 errors, 1 warnings.  

 [x] Package is not relocatable.
 [x] Buildroot is correct
     (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: 7c272508b3608071406f8ea46769423cefc2b4a9bfa8f84206af14bec2551da5  libgksu-2.0.7.tar.gz
     Build source:   7c272508b3608071406f8ea46769423cefc2b4a9bfa8f84206af14bec2551da5  libgksu-2.0.7.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [!] The spec file handles locales properly.
     You added 'BuildRequires: gettext-devel'
     acc. https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files 'BR: gettext' is sufficient 
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI application.
     - 'desktop-file-install --vendor="fedora" \' is obsolete for new packages.
       see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: 
       [x] F9    http://koji.fedoraproject.org/koji/taskinfo?taskID=902871
       [x] F10   http://koji.fedoraproject.org/koji/taskinfo?taskID=902906
       [-] devel 
 [?] Package functions as described (no hardware to test with).
 [-] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
Comment 2 Fabian Affolter 2008-10-25 15:07:42 EDT
The .desktop file is in the wrong package.  I think that a better place is gksu (#468467), or am I wrong?
Comment 3 Simon 2008-10-25 17:54:33 EDT
Spec URL: 
http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu-2.0.7-2.fc10.src.rpm


[!] Rpmlint output:
     Source RPM:
     [rpm@laptop024 SRPMS]$ rpmlint -i libgksu-2.0.7-1.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.

     Binary RPM(s):
     [rpm@laptop024 i386]$ rpmlint libgksu-*
     libgksu.i386: W: non-conffile-in-etc /etc/gconf/schemas/gksu.schemas
     3 packages and 0 specfiles checked; 0 errors, 1 warnings.  

https://bugzilla.redhat.com/show_bug.cgi?id=454208#c4
  - We regards GConf schemas files as _not_ a configuration file
    so please remove %config(noreplace) attribution on GConf schemas file
    (even if rpmlint warns about it)


[!] The spec file handles locales properly.
     You added 'BuildRequires: gettext-devel'
     acc.
https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files 'BR:
gettext' is sufficient 

fixed


 [!] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
     - 'desktop-file-install --vendor="fedora" \' is obsolete for new packages.
       see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

fixed


The .desktop file is in the wrong package.  I think that a better place is gksu
(#468467), or am I wrong?

gksu is just the frontend and the desktopfile links to the wizard application that set the properties of the API, or am I wrong?
Comment 4 Fabian Affolter 2008-11-10 04:30:31 EST
> iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.utf8; sed -i 's|\r$||g' AUTHORS.utf8; mv AUTHORS.utf8 AUTHORS

Please kepp the timestamp of the files

iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS  > AUTHORS.utf8
sed -i 's|\r$||g' AUTHORS.utf8
touch -c -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

> %{_libdir}/pkgconfig/%{name}2.pc

Because of this, you need to put "Requires: pkgconfig" to the %package devel section.
Comment 5 Fabian Affolter 2008-11-10 06:44:23 EST
An appendix about the .desktop file.  I was wrong...Upstream placed the file in this package, so it's ok.
Comment 6 Simon 2008-11-11 15:36:37 EST
fixed

SPEC: http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu.spec
SRPM: http://cassmodiah.fedorapeople.org/libgksu-2.0.7/libgksu-2.0.7-3.fc10.src.rpm

rpmlint-errors:
libgksu.i386: W: non-conffile-in-etc /etc/gconf/schemas/gksu.schemas
libgksu.i386: W: one-line-command-in-%postun /sbin/ldconfig

i edited this 
%postun -p /sbin/ldconfig

to this:
..
Requires(postun): /sbin/ldconfig
..
%postun 
/sbin/ldconfig

i hope this won't be a problem
Comment 7 Simon 2008-12-26 20:05:12 EST
close bug, because there is no benefit for fedora

if you`re not agree and think this would be a good package you can reopen it. the spec and srpm will be preserved.
Comment 8 Dan Mashal 2012-07-12 21:23:08 EDT
Reopening this bug. There is a need for this package in MATE desktop which I am currently working on packaging.
Comment 9 Jeremy Newton 2012-07-12 21:43:38 EDT
Unless Simon still has interest in packaging this or has the old SPEC/SRPM on file, this should be closed and another bug should be opened requesting gksu to be packaged or a new review request.
Comment 10 Mario Blättermann 2012-07-29 09:40:55 EDT
(In reply to comment #9)
> Unless Simon still has interest in packaging this or has the old SPEC/SRPM
> on file, this should be closed and another bug should be opened requesting
> gksu to be packaged or a new review request.

There's a package for libgksu available from rpmforge:
http://pkgs.org/centos-6-rhel-6/repoforge-i386/libgksu-2.0.11-1.el6.rf.i686.rpm.html
Perhaps we can reuse this. In any case I assume Simon is no longer interested in to maintain it.

(In reply to comment #8)
> Reopening this bug. There is a need for this package in MATE desktop which I
> am currently working on packaging.

I'm planning to package gksu-polkit. If this should be sufficient to match the needs of MATE, we should use this instead of the old gksu. In any case, it needs a new review request and mark this one as a duplicate.
Comment 11 Mario Blättermann 2012-07-29 16:24:53 EDT
I've just filed a review request for gksu-polkit (bug #844192). Once we are sure that it can replace libgksu completely, I will mark this report as a duplicate.
Comment 12 Jeremy Newton 2012-08-10 01:43:15 EDT
(In reply to comment #11)
> I've just filed a review request for gksu-polkit (bug #844192). Once we are
> sure that it can replace libgksu completely, I will mark this report as a
> duplicate.

Assuming this is a drop in replacement, it can be marked as a duplicate. If a dependant program requires to be patched in order for it to work with gksu-polkit, this is not a drop in replacement but rather an alternative, such as beesu. I haven't been able to test this thoroughly, so I can't say myself.
Comment 13 Dan Mashal 2012-08-10 02:34:42 EDT
I've updated the new gksu-polkit bug.
Comment 14 Jeremy Newton 2012-08-10 11:41:09 EDT
(In reply to comment #13)
> I've updated the new gksu-polkit bug.

Why would this depend on gksu-polkit?
Comment 15 Mario Blättermann 2012-08-10 11:54:26 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > I've updated the new gksu-polkit bug.
> 
> Why would this depend on gksu-polkit?

The package itself doesn't depend on it, but gksu-polkit could become a drop-in replacement for the old gksu command. As Dan already wrote, there's need of gksu in MATE. Someone should test gksu-polkit if it actually can replace gksu, even with some patches in MATE packages.

I don't expect to get libgksu ever in Fedora. For EPEL5 and 6, there are packages available from Repoforge, if desired. And for Fedora we should keep an eye on gksu-polkit either because there is still real progress.
Comment 16 Jeremy Newton 2012-08-10 20:49:44 EDT
Oh okay, thanks for the clarification.

As well, even if gksu-polkit can't replace gksu now, upstream should be able to patch it to make it backwards compatible if need be.
Comment 17 Mario Blättermann 2012-10-31 07:56:30 EDT
The submitter of this review request is no longer willing to maintain the package. Moreover, libgksu has probably superseded by gksu-polkit. That's why I close this bug, adding FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.